<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : data2html.xsl
    Created on : 4. března 2022, 10:11
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/spotify">
        <html>
            <head>
                <title>Our spotify playlists</title>
            </head>
            <body>
                <div id="menu">
                    <h2>Seznam playlistu</h2>
        <ul>
                    <xsl:apply-templates mode="menu" select="playlists"/>
        </ul>
                </div>
                <div id="content">
                    <xsl:apply-templates mode="content"/>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="playlist" mode="menu">
        <li><a href="#{./@name}"><xsl:value-of select="./title"/></a></li>
    </xsl:template>

    <xsl:template match="playlist" mode="content">
        <a name="{./@name}"/>
        
        <xsl:apply-templates mode="content" />
    </xsl:template>
    
    <xsl:template match="title" mode="content">
        <h2>
            <xsl:value-of select="."/>
        </h2>
    </xsl:template>
    
    <xsl:template match="tracks" mode="content">
        <h3>Seznam stop</h3>
        <ol>
            <xsl:apply-templates mode="content"/>
        </ol>
    </xsl:template>
    
    
    
    <xsl:template match="track" mode="content">
        <xsl:variable name="trId" select="./@id"/>
        <xsl:variable name="trackInfo" select="//track[@id=$trId]"/>
       
        <li>
            <span class="interpret">
                <xsl:value-of select="$trackInfo/interpret"/>
            </span>
            -
            <span class="title">
                <xsl:value-of select="$trackInfo/title"/>
            </span>
        </li>
    </xsl:template>
    
    <xsl:template match="disks" mode="content"/>
</xsl:stylesheet>
